package cn.yw.xhd.dao;

import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("nhywledydpxjbDao")
public class NhywledydpxjbDao extends BaseSqlMapDAO{


	/**
	 * 增加记录
	 */
	public void insert_Nhywledydpxjb(Map map) throws SQLException{
		this.insert("insert_Nhywledydpxjb",map);
	}

	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Nhywledydpxjb(List batch) throws SQLException{
		this.insert("batch_insert_Nhywledydpxjb",batch);
	}

	/**
	 * 修改记录
	 */
	public Integer update_Nhywledydpxjb(Map map) throws SQLException{
		return this.update("update_Nhywledydpxjb",map);
	}
	public Integer delete_channelset_Nhywledydpxjb(Map map) throws SQLException{
		return this.update("delete_channelset_Nhywledydpxjb",map);
	}

	/**
	 * 删除记录
	 */
	public Integer delete_Nhywledydpxjb(Map map) throws SQLException{
		return this.delete("delete_Nhywledydpxjb",map);
	}

	/**
	 * 批处理删除记录
	 */

	public Integer batch_delete_Nhywledydpxjb(List l) throws SQLException{
		return this.delete("batch_delete_Nhywledydpxjb",l);
	}
	public Integer batch_update_Nhywledydpxjb(Map m) throws SQLException{
		return this.delete("batch_update_Nhywledydpxjb",m);
	}

	/**
	 * 查询总数
	 */
	public Integer count_Nhywledydpxjb(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywledydpxjb",map);
	}

	/**
	 * 查询列表记录
	 */

	public List<Map> query_Nhywledydpxjb(Map map) throws SQLException{
		return this.queryForPage("query_Nhywledydpxjb",map);
	}
	public List<Map> query_Nhywledydpxjb_children(Map map) throws SQLException{
		return this.queryForList("query_Nhywledydpxjb_children",map);
	}

	public List<Map> getApproveUser(Map map) throws SQLException{
		return this.queryForList("getApproveUser",map);
	}

	/**
	 * 查询列表记录
	 */
	public Map get_Nhywledydpxjb(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywledydpxjb",map);
	}
	public List<Map> query_NhywledydpxjbtaskByPage(Map map) throws SQLException{
		return this.queryForPage("query_Nhywledydpxjbtask",map);
	}
	public Integer count_Nhywledydpxjbtask(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywledydpxjbtask",map);
	}
	public List<Map> query_NhywledydpxjbNotaskByPage(Map map) throws SQLException{
		return this.queryForPage("query_NhywledydpxjbNotask",map);
	}
	public Integer count_NhywledydpxjbNotask(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_NhywledydpxjbNotask",map);
	}


	public List<Map> query_NhywxlydptaskByPage(Map map) throws SQLException{
		return this.queryForPage("query_NhywxlydptaskByPage",map);
	}
	public Integer count_Nhywxlydptask(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywxlydptask",map);
	}
	public Integer delete_Nhywxlydp(Map map) throws SQLException{
		return (Integer)this.delete("delete_Nhywxlydp",map);
	}
	public Integer batchdelete_Nhywxlydp(Map map) throws SQLException{
		return (Integer)this.delete("batchdelete_Nhywxlydp",map);
	}
	public void  batchinsert_Nhywxlydp(List map) throws SQLException{
		 this.insert("batchinsert_Nhywxlydp",map);
	}
	// 更新
	public Integer edit_Nhywledydpxjb(Map map) throws SQLException{
		return this.update("edit_Nhywledydpxjb",map);
	}


}
